关于LPR实用程序

LPR 实用程序允许您不通过打印服务器直接在以太网的打印机上打印。

LPR 实用程序运行于下列操作系统上：

- Windows 2000

- Windows XP

- Windows XP x64 Edition

- Windows Server 2003

- Windows Server 2003 x64 Edition

- Windows Vista

- Windows Vista x64 Edition

- Windows Server 2008

- Windows Server 2008 x64 Edition

- Windows Server 2008 R2

- Windows 7

- Windows 7 x64 Edition


使用方法

设置 Windows 和打印机的 IP 地址，然后在启动 LPR 实用程序之前将打印机驱动程序的输入目标设置为本地打印机 (LPT:)。

1.启动 LPR 实用程序。
如果您已选中“在启动时注册”，则 LPR 实用程序将在 Windows 启动时自动启动。

2.添加要使用的打印机。
请参见 添加打印机 。

完成添加打印机后，启动一个应用程序，打开并打印一个文件。

LPR 实用程序的 主窗口 中的“队列”将显示 1；“队列状态”显示“正在连接”。建立打印机连接后，“队列状态”将更改为“正在发送”。完成打印作业后，“队列状态”显示“空”；“完成”显示 1，“队列”显示 0。


主窗口

  • 打印机

显示所添加打印机的名称。

单击打印机名称即可选中它。选中打印机后，其标签将突出显示。

选择打印机后，您可以执行“远程打印”菜单操作（除了“添加打印机”）。

双击打印机名称后，将显示“作业显示”对话框。

用鼠标右键单击打印机名称后，将显示“远程打印”菜单。

  • 队列状态

显示 LPR 实用程序的状态（空、正在连接、正在发送、暂停、正在检查状态、未连接）。

如果从 LPR 端口 更改打印机的打印目标端口，或者如果从“打印机”文件夹删除打印机驱动程序，“队列状态”将更改为“未连接”。如果所选打印机的队列状态为“未连接”，则无法从应用程序打印。

双击打印机名称时，可以看到是更改了打印目标端口还是删除了打印机驱动程序。

如果已更改打印目标端口，则当您执行 重新连接端口 时，队列状态会返回“空”。

如果删除了打印机驱动程序，则当您重新安装驱动程序并重新连接端口时，队列状态将返回“空”。

  • 完成

显示已完成的打印作业的数量。

  • 队列

显示等待打印的作业的数量。


添加打印机

您可以添加 远程打印机 。

您可以按以下方式添加打印机。

1.在“远程打印”菜单中选择“添加打印机”。

2.从 打印机组合框 中选择一个打印机，键入该打印机的 IP 地址 ，然后单击“确定”。

当从打印机捕获信息时，请等待。打印目标端口将自动更改为 LPR 端口 。此 主窗口 将显示所添加的打印机。

您也可以通过单击“发现”按钮并从 打印机发现 结果中选择 IP 地址。

单击“详细信息”按钮可显示 LPR 字节计算和 自动重定向作业 设置。

注意：“打印机组合框”不显示已添加到 LPR 实用程序的打印机。


发现打印机

您可以通过LPR 实用程序发现一台 远程打印机 。

按照下列步骤来发现打印机。

1.按“添加打印机”或“确认连接”对话框中的“发现”按钮。

此时将显示“发现”对话框并开始发现。

2.“已发现的打印机”列表将显示找到的所有打印机。选择一台目标打印机。

3.单击“确定”。

若要重新发现打印机，请按“重新发现”按钮。

注意：某些打印机的名称不会显示出来。

默认情况下，执行发现时使用的是本地子网（发现范围：255.255.255.255）。

若要更改发现范围，请参见 设置发现范围 。

根据打印机的状态，发现不一定会执行。如果未执行发现，请检查打印机并重新发现。发现有时会花费一段时间。完成发现后，“重新发现”按钮将变为有效状态。


设置发现范围

您可以扩大或缩小远程打印机的发现范围。您也可以将发现级别设置为本地子网。

按“发现”对话框中的“范围”按钮。此时将出现“范围”对话框。

添加发现范围

在“新范围”列中键入要添加的发现范围的 广播 IP 地址 ，然后按“添加”按钮。

“范围”列表将显示所添加的广播 IP 地址。

删除发现范围

从“范围”列表中选择要删除的发现范围的广播 IP 地址，然后按“删除”按钮。

将从“范围”列表中删除所选的发现范围。

发现本地子网

选中“发现本地子网”。

设置发现范围后，单击“确定”。将使用新的发现范围执行发现。


暂停作业发送

您可以暂停将作业发送到 远程打印机 。暂停作业后，您可以取消暂停。如果出现“无法连接到远程打印机”之类的错误，则表示作业已自动暂停。改正错误后，请取消暂停。

您可以按以下方式暂停或取消暂停。

  • 单击 主窗口 中的目标打印机，并从“远程打印”菜单中选择“暂停”。

  • 从“作业显示”对话框的“打印机”菜单中选择“暂停”。

处于暂停的打印机的状态为“暂停”，并且“暂停”菜单选项已选中。然而，如果打印机未连接，则状态显示不会改变。

注意：如果暂停正在发送的作业，则打印机可能打印一个错误报告或打印在暂停打印机之前已成功发送的数据部分。


显示作业

您可以显示要发送到 远程打印机 的作业列表。

您可以按以下方式显示作业列表。

  • 从 主窗口 中选择一个目标打印机。然后从“远程打印”菜单中选择“作业状态”。

  • 双击目标打印机。

此时将显示“作业显示”对话框。以接收作业的顺序显示作业信息。

显示下列作业信息。

  • 文档名称

显示要发送的作业的文档名称。

  • 队列状态

正在发送的作业显示“正在发送”，其他作业显示“等待”。

  • 日期/时间

显示开始打印的日期和时间。

  • 尺寸

显示要发送数据的大小。

  • 状态

显示打印机的状态。

  • 信息

显示与特定作业相关的信息。


删除作业

您可以删除要发送到 远程打印机 的作业。

要删除作业，您可以先 显示作业 ，然后选择下列方法之一：

  • 在“作业显示”对话框中单击要删除的作业，然后在“作业”菜单中选择“删除作业”。

  • 在“作业显示”对话框中用鼠标右键单击要删除的作业，然后在弹出菜单中选择“删除作业”。

  • 在“作业显示”对话框中选择要删除的作业，然后按 Delete 键。

可以选择多个作业。

注意：如果删除正在发送的作业，则打印机可能打印一个错误报告或打印已成功发送的数据部分。


重定向作业

您可以将要发送到 远程打印机 的作业重定向到另一个远程打印机。

要重定向作业，您可以先 显示作业 ，然后选择下列方法之一：

  • 从“作业显示”对话框中单击要重定向的作业，然后从“作业”菜单中的“重定向”菜单中选择要将作业重定向到的新打印机。

  • 从“作业显示”对话框中用鼠标右键单击要重定向的作业，然后从弹出的“重定向”菜单中选择所需的打印机。

可以选择多个作业。

注意：只能将作业重定向到与原目标打印机型号相同的打印机。

如果重定向正在发送的作业，则打印机可能打印一个错误报告或打印在重定向之前已成功发送的数据部分。


检查打印机状态

您可以检查打印机状态。

选择下列方法之一来检查打印机状态。

  • 单击 主窗口 中的目标打印机，并从“远程打印机”菜单中选择“打印机状态”。打印机返回其状态信息。在打印机返回打印机状态之前，“主窗口”显示“正在检查状态”。检查后，单击“确定”。

  • 通过 显示作业 显示“作业显示”对话框。打印机状态显示在状态列中。打印机状态会定期更新。选择打印机菜单的“打印机状态更新”可立即更新状态。您可以通过 更改打印机状态更新间隔 来更改更新间隔。

注意：显示的项目根据具体打印机而有所不同。如果打印机未打开，或者未正确设置 IP 地址，可能需要一些时间后才能显示“打印机状态”对话框。


将打印数据文件发送到打印机

您可以通过下列方式将 打印数据文件 发送到 远程打印机:

  • 在 主窗口 中选择一个目标打印机并在“远程打印”菜单中选择“下载”。此时将显示“发送文件”对话框。选择要发送的文件，然后单击“确定”。

  • 将要发送的文件拖放到“主窗口”中的目标打印机上。

  • 选择“作业显示”对话框的“打印机”菜单中的“下载”。此时将显示“发送文件”对话框。选择要发送的文件，然后单击“确定”。

  • 将要发送的文件拖放到“作业显示”对话框中。

注意：您下载的打印数据文件必须是使用您正在用来发送打印作业的打印机的驱动程序创建的。

下载的文件在“状态”栏中会显示为作业。如果已有等待发送的作业，在处理完现有的作业后将处理下载的作业。

在Windows Vista/Windows 7操作系统中，如果UAC（用户帐户控制）设为有效，当管理员启动LPR 实用程序时，拖放操作不可用。


更改 IP 地址

您可以更改 远程打印机 的 IP 地址。

按以下方式更改 IP 地址。

1.单击 主窗口 中的目标打印机，并从“远程打印”菜单中选择“确认连接”。

此时将出现“确认连接”对话框。

2.在“IP 地址”列中键入新 IP 地址。

您可以通过按“发现”按钮并从 打印机发现 的结果中选择 IP 地址。

3.单击“确定”。


重新连接端口

您可以重新连接一个打印目标端口。

当打印机的目标端口从 LPR 端口 更改，并且 LPR 实用程序的状态为“未连接”时，应该执行此操作。

您可以按以下方式重新连接一个端口。

1.单击 主窗口 中的目标打印机，并从“远程打印”菜单中选择“确认连接”。

此时将出现“确认连接”对话框。

2.按“重新连接”按钮。

打印机的打印目标端口将更改为 LPR 端口。

注意：当打印机的打印目标端口为 LPR 端口时，“重新连接”按钮将变灰，并且无法选择该按钮。


启用 LPR 字节计算

它计算发送给打印机的数据的字节数，然后发送这些数据。由于所有数据都是先假脱机然后发送，因此比直接发送数据花费更多的时间。一般情况下，仅当打印机不能正确打印时才使用。

您可以按以下方式启用 LPR 字节计算。

1.单击 主窗口 中的目标打印机，并从“远程打印”菜单中选择“确认连接”。

此时将出现“确认连接”对话框。

2.按“详细信息”按钮。

3.选中“启用 LPR 字节计算”旁边的复选框。

4.单击“确定”。

您可以在 添加打印机 会话过程中通过按添加打印机对话框中的“详细信息”按钮来启用 LPR 字节计算。

注意：某些打印机只有在启用 LPR 字节计算时才能正确打印。在这种情况下，“启用 LPR 字节计算”复选框将变灰。


自动重定向作业

如果当前打印机繁忙或者处于错误状态（如缺纸、卡纸或关闭），可以将作业重定向到另一台打印机。当作业重定向到另一台计算机时，“作业显示”对话框的“消息”列将显示一条消息。如果发送作业的原目标打印机出错或繁忙，则作业将被重定向到另一台目标打印机。您也可以仅当发送作业的原目标打印机出错时才重定向作业。

您可以按以下方式重定向作业。

1.单击 主窗口 中的目标打印机，并从“远程打印”菜单中选择“确认连接”。

此时将出现“确认连接”对话框。

2.按“详细信息”按钮。

3.选中“使用作业自动重定向”旁边的复选框。

4.键入重定向作业的目标打印机的 IP 地址 。

您可以从 打印机发现 结果中选择 IP 地址。

5.若要仅当发送作业的原目标打印机出错时才重定向作业，请选中“仅在出错时重定向”。

6.单击“确定”。

您可以在 添加打印机 会话过程中通过按“添加打印机”对话框中的“详细信息”按钮来设置自动重定向作业。

注意：被重定向作业的目标打印机的型号必须与发送目标打印机相同。


删除打印机

您可以删除 远程打印机 。

您可以按以下方式删除打印机。

1.单击 主窗口 中的目标打印机，然后从“远程打印”菜单中选择“删除打印机”。

2.此时将出现一个对话框，询问是否要删除打印机。单击“是”。

3.将从“主窗口”中删除打印机。

注意：您无法删除正在向其发送作业的打印机。


更改假脱机目录

您可以更改临时假脱机要发送到远程打印机的作业的目录。LPR 实用程序假脱机到此处配置的目录下。默认目录是在安装 LPR 实用程序时配置的。

您可以按以下方式更改假脱机目录。

1.从“选项”菜单中选择“设置”。

此时将出现“设置”对话框。

2.在“假脱机目录”列中键入新的假脱机目录。

您可以通过按“参考”按钮在“浏览文件夹”对话框中选择一个新目录。

3.单击“确定”。


更改超时时间

当 LPR 实用程序正在与打印机连接而没有获得打印机的响应时，它将假设出现错误并断开连接。原因可能是打印机未打开或 IP 地址设置不正确。

您可以更改断开连接之前等待的时间（1-30 秒）。默认值为 10 秒钟。

您可以按以下方式更改超时时间。

1.从“选项”菜单中选择“设置”。

此时将出现“设置”对话框。

2.在“超时”列中键入新时间。

输入 1 到 30（秒钟）的值。您可以只输入数字（不能为负数）。

3.单击“确定”。

注意：如果连接打印机后未获得打印机的响应，则会显示警告。


更改打印机状态更新间隔

您可以更改“作业显示”对话框的状态列中当前显示的打印机状态更新间隔。默认值为 30 秒钟。

您可以按以下方式更改打印机状态更新间隔。

1.从“选项”菜单中选择“设置”。

此时将出现“设置”对话框。

2.在“打印机状态更新间隔”列中键入新值。

您可以只输入数字（不能为零和负数）。

3.单击“确定”。


在任务栏中执行

若要从任务栏执行 LPR 实用程序，请设置此选项。只显示任务栏内部，而屏幕上不显示任何内容。该设置在重新启动 LPR 实用程序后生效。

您可以按以下方式在任务栏中执行。

1.从“选项”菜单中选择“设置”。

此时将出现“设置”对话框。

2.选中“最小化”旁边的复选框。

3.单击“确定”。

单击任务栏中的图标时，LPR 实用程序将显示在屏幕上。

用鼠标右键单击任务栏中的图标时，将显示“菜单”。


当打印机的 IP 地址更改时重新连接到打印机

每当原打印机的 IP 地址更改时，此功能将努力维持与该打印机的连接。如果使用 DHCP 来动态分配 IP 地址或者网络管理员手动更改了打印机的 IP 地址，IP 地址会改变。“自动重新连接”将搜索以找到原打印机，然后用新地址更新 LPR。

如果打印机的 IP 地址发生更改，您可以按以下方式重新连接到该打印机：

1.选择“选项”菜单中的“设置”。

此时将显示“设置”对话框。

2.选中“自动重新连接”。

3.单击“确定”。

警告：

“自动重新连接”只在 LPR 的 发现范围 中定义的范围内搜索打印机。

如果打印机的新 IP 地址簿不在 LPR 的发现范围内，将断开与服务器的连接。

该问题可以通过增大 LPR 的发现范围来解决。


退出实用程序

您可以从 LPR 实用程序退出。

要从 LPR 实用程序退出，请执行如下操作：

  • 从“文件”菜单中选择“退出”。

  • 用鼠标右键单击任务栏中的图标并从弹出菜单中选择“退出”。

注意：如果单击实用程序右上角的“×”，应用程序将缩小为图标而不是退出。LPR 实用程序的图标将位于任务栏中。


显示/隐藏注释

Show / Hide Comments

Selecting “Show comments” displays any comments you have added to describe your printers. These comments are shown in LPR's main window.


添加注释

您可以为每一个打印机添加注释。例如，您可能希望描述某个打印机的位置或者打印机特点（双面打印功能）。

这些注释显示在LPR的主窗口中，它们也可以在程序使用偏好中显示/隐藏。


Multicast print setup

You can add/delete/edit the remote printers for Multicast print.

You can add printers as follows.

1. Click "Add."

2. Type in IP address.

(You can select an IP address from Printer Discovery result by clicking Discover.)

3. When you want to automatically redirect job, click "Details" and set a printer to which you redirect a job.

(Click here to learn how to set automatic job redirect.)

To delete a printer, select a printer you want to delete from the list, and click on Delete.

To change an IP address or change the setting of automatic job redirect, select a printer you want to change and click on "Edit."

Note:

n You can save the information of the printer you added by clicking on "Save list."

n You can load/delete the information of the printer you saved in "Save list" by clicking on "Load list."


Multicast print

Executing Multicast print

You can send one print command to multiple remote printers for simultaneous print.

You can execute Multicast print as follows.

1. Select a target printer in Main Window and select "Confirm Connection" from Remote Print Menu.

The "Confirm Connection" dialog appears.

2. Click the Details button.

3. Check "Multicast print."

4. Click on Setup and set Multicast printers.

5. Click on OK.

You can also set Multicast print by clicking "Details" in the Add Printer dialog when you add a printer.

Note:

n All the destination printers for Multicast print must be the same models.

n When you enable Multicast print, data is sent with LPR Byte Counting Enabled.


印刷方式

决定向远程打印机缓冲打印任务的方法：You can choose queue name.

印刷速度优先Direct

打印作业不写入打印机自带硬盘上的缓冲池中。作业优先级中考虑的是总的打印时间。A job is not spooled in the printer hard disk. Priority is put on the total printing time.

打印Print

打印之前将作业缓冲到打印机自带的硬盘中。优先级在Spools a job in the printer hard disk before printing. Priority is put on releasing printing process in the computer sooner.

Hold

Saves a job in the printer hard disk. It is convenient to print standard format documents or documents you repeatedly print.

Note:

n This feature is available with printers that support Queue name. Note that this feature does not become available unless you click on OK and re-configure printer again if you manually type in an IP address instead of performing Discovery.


Web 设定

您可以通过WEB浏览器来查看打印机信息。

您可以按以下方式查看打印机信息：

1. 在主窗口中选择目标打印机或IP地址。

2. 在远程打印机菜单下选择”Web设定”。

注意：

  • 显示的打印机信息会因打印机的不同而有所差异。关于详细说明，请参考您当前打印机的用户手册。

  • 与打印机WEB页相连接的打印机端口序号要进行变更的情况下，在Web端口序号设定中进行设置。


Web setting port number

Change the port for displaying printer information through Web browser. The default is 80.

You can change the port number for Web setting as follows.

1. Select a target printer in Main Window and select "Confirm Connection" from Remote Printer Menu.

The "Confirm Connection" dialog appears.

2. Click on the “Details” button.

3. Type in a new port number in "Port Number."

4. Click on OK.

Related items:

n Web setting


打印机组合框

它是在 Windows 的打印文件夹中创建的打印机列表。

“打印机组合框”不显示已添加到 LPR 实用程序的打印机。


广播 IP 地址

您可以显示特定网络上所有现有主机的广播地址。（子网掩码的“位 = 0”部分，例如：192.168.0.255). 如果所有位都是 1（例如：255.255.255.255），它将广播到本地网络上的所有主机。

如有问题，请咨询网络管理员。


“设置”对话框

  • 更改假脱机目录
  • 更改超时时间
  • 更改打印机状态更新间隔
  • 在任务栏中执行
  • 当打印机的 IP 地址更改时重新连接到打印机


“作业显示”对话框

  • 显示作业
  • 删除作业
  • 重定向作业
  • 将打印数据文件发送到打印机
  • 检查打印机状态
  • 暂停作业发送
  • 确认连接


IP 地址

它是分配给远程打印机的 IP 地址。

IP 地址设置不正确将导致严重的网络问题。请与网络管理员共同确定该设置，并键入为打印机分配的 IP 地址。


打印数据文件

通过将“打印机目标端口”设置为“File：”（在磁盘中创建文件）以创建一个文件。


“确认连接”对话框（详细信息）

  • 更改 IP 地址
  • 重新连接端口
  • 启用 LPR 字节计算
  • 自动重定向作业


远程打印机

该打印机支持以太网上的 TCP/IP。


OKILPR 端口

LPR 实用程序使用称为 OKILPR 的端口作为 TCP/IP 打印的端口。

将打印机添加到 LPR 实用程序时，该端口会自动更改。

当使用 LPR 实用程序打印时，打印目标端口必须为 OKILPR 端口。


“添加打印机”对话框（详细信息）

  • 添加打印机
  • 启用 LPR 字节计算
  • 自动重定向作业


“确认连接”对话框

  • 更改 IP 地址
  • 重新连接端口